<script lang="ts" setup>
import NavigationDesktop from './NavigationDesktop';
import NavigationMobile from './NavigationMobile';

const freeTrialLink = ref('');
defineProps({
  navigationData: {
    type: Object,
    default: () => ({}),
  },
  freeTrialVariant: {
    type: String,
    required: false,
    default: 'primary',
  },
});
onMounted(() => {
  freeTrialLink.value = decodeURIComponent(
    `https://gitlab.com/-/trial_registrations/new?glm_source=${
      window.location.hostname + window.location.pathname
    }&glm_content=default-saas-trial`,
  );
});
</script>

<template>
  <nav id="navigation">
    <NavigationDesktop
      id="be-navigation-desktop"
      class="be-nav-navigation-desktop"
      :data="navigationData"
      :free-trial-link="freeTrialLink"
      :free-trial-variant="freeTrialVariant"
      :hide-sales-button="false"
    />
    <NavigationMobile
      id="be-navigation-mobile"
      class="be-nav-navigation-mobile"
      :data="navigationData"
      :free-trial-link="freeTrialLink"
      :hide-sales-button="false"
    />
  </nav>
</template>

<style lang="scss" scoped>
:lang(en) {
  .be-nav-navigation-mobile {
    @media (max-width: $breakpoint-lg) {
      display: block;
    }
  }
  .be-nav-navigation-desktop {
    @media (min-width: ($breakpoint-lg + 1)) {
      display: block;
    }
  }
}

:not(:lang(en)) {
  .be-nav-navigation-mobile {
    @media (max-width: $breakpoint-xl) {
      display: block;
    }
  }
  .be-nav-navigation-desktop {
    @media (min-width: ($breakpoint-xl + 1)) {
      display: block;
    }
  }
}

#navigation {
  background: $color-surface-50;
  min-height: 84px;
  position: sticky;
  left: 0;
  right: 0;
  top: 0;
  z-index: 1025;

  @media (min-width: 576px) and (max-width: 1024px) {
    min-height: 80px;
  }

  @media (max-width: 575px) {
    min-height: 116px;
  }
}
.be-nav-navigation-mobile {
  display: none;
  border: none;
  *,
  ::before,
  ::after {
    box-sizing: border-box;
  }
}

.be-nav-navigation-desktop {
  display: none;
  *,
  ::before,
  ::after {
    box-sizing: border-box;
  }
}
</style>
